Subject: b20: Problems with timezone
From: [email-masked] (Henrik Frystyk Nielsen)

1 Dec 1998 00:25:06 -0800
Message-ID: <3.0.5.32.19981130185216.03c70870.cygnus.gnu-win32@localhost>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
To: [email-masked]

I get a strange timezone offset when running this small libwww sample
program which gives the correct timezone offset on most Unixes that I am
aware of:

	http://www.w3.org/Library/Examples/tzcheck.c

linked from

	http://www.w3.org/Library/Examples/

As I am in Boston, is should say GMT-5 but instead it says this:

	TimeZone.... GMT + (-1202) hours (including DST)

The libwww configure returns this information regarding timezones:

	checking whether struct tm is in sys/time.h or time.h... (cached) time.h
	checking for tm_gmtoff in struct tm... (cached) no
	checking for time.h that defines timezone... (cached) yes
	checking for time.h that defines altzone... (cached) no
	checking for time.h that defines daylight... (cached) no

Is timezone probably initialized?

Thanks,

Henrik
--
Henrik Frystyk Nielsen,
World Wide Web Consortium
http://www.w3.org/People/Frystyk
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".